Bug 418811 - Events stored in the database not displayed in KOrganizer
Summary: Events stored in the database not displayed in KOrganizer
Status: CONFIRMED
Alias: None
Product: korganizer
Classification: Applications
Component: general (show other bugs)
Version: 5.13.2
Platform: Archlinux Linux
: NOR major (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-13 11:37 UTC by Carlos
Modified: 2022-11-23 11:34 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Images showing the problem. (170.16 KB, image/png)
2020-03-13 11:37 UTC, Carlos
Details
ICS files to reproduce KOrganizer bug #418811 (2.28 KB, application/zip)
2022-03-21 07:16 UTC, Helmar Gerloni
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos 2020-03-13 11:37:26 UTC
Created attachment 126759 [details]
Images showing the problem.

SUMMARY
Sometimes, events that are stored and visible in the Akonadi database are not displayed in KOrganizer. For example, I might have an event stored in "Personal Calendar" that I can see in the "Browser" tab of Akonadi Console but cannot see in KOrganizer. 

I'm attaching an image of this: On the top of the image, the event is seen in the browser tab. On the bottom of the image, we see that the event is not shown on the 12 of March (2020).

I'm unfortunately unable to debug the problem which I assume might be related to how KOrganizer queries the databse for events.

STEPS TO REPRODUCE
I don't know how to reproduce it. If need be, I can share an example event that has the problem however.


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 5.18
KDE Frameworks Version: 5.67.0
Qt Version: 5.14.1
Comment 1 Rigo Wenning 2020-05-07 12:07:16 UTC
Confirming here. I also had this, when a calendar invite was recorded into the calendar by some other tool (nextcloud for me) and I did not use kontact to record the invite. But the invitation email was still present in the system. Now accepting the invite also in kontact made the entry appear in korganizer. 

But I now have an even stranger issue: There is a recurring event. The date of the event was changed, so I changed "this instance" from 14 May to 07 May. First, the event disappeared completely, but showed up in akonadiconsole correctly (07 May). As this is a nextcloud calendar, I used my browser in nextcloud to change the event. Now the event shows up correctly in the nextcloud browser and on my mobile phone and in akonadiconsole. But it did not show up in kontact/korganizer. 
But then (after some fsck & restart) BIG surprise, the entry shows up on 11 May and, when opened, says 07 May. This looks pretty strange IMHO. Why would an event show up on 11 May when the entry correctly says 07 May?
Comment 2 Carlos 2020-05-07 12:22:03 UTC
I can confirm that the events that don't show up were created with an external tool. In my case, events get added to my (Exchange) calendar which are then fetched with davmail using CalDav.
Comment 3 Rigo Wenning 2020-05-07 12:37:41 UTC
This is related to my earlier bug report: 

https://bugs.kde.org/show_bug.cgi?id=377453
Comment 4 Rigo Wenning 2020-10-15 14:23:30 UTC
The same bug stroke again. But this time I accepted the invite with kontact 5.15.1 in Tumbleweed 20201002. Now the meeting shows up in nextcloud and on my jolla phone, but not in korganizer. Very strange indeed. I haven't moved the invitations. But I received 2 invitations to two different email addresses. Even accepting both did not help. 
In Akonadiconsole I find one meeting with RemoteID and the other one without. I deleted the one without RemoteID in akonadiconsole, now I have a dirty item.
Comment 5 Lukas 2020-10-19 17:41:28 UTC
Yup, same issue here. Some events are not shown in KOrganizer even though they are visibile in Nextcloud and on my Android calendar app. It didn't seem to matter from where I aceepted the event, some events that are not shown I accepted from Thunderbird and some from KMail. However, there are also some events that were created from invitation that *are* visible in KOrganizer.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: 5.20.0
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
KMail version: 5.15.2 (20.08.2)
Comment 6 emil.ostwald 2021-11-17 20:05:26 UTC
Same issue here. For me it occours, if I'm creating an event on my smartphone with an attendee. Regardless which calendar app I use. Tested it with two different apps on 2 smartphones.

Here is the raw output  of an event in akonadiconsole, which is not shown in Korganizer:

BEGIN:VCALENDAR
PRODID:-//K Desktop Environment//NONSGML libkcal 4.3//EN
VERSION:2.0
X-KDE-ICAL-IMPLEMENTATION-VERSION:1.0
BEGIN:VEVENT
ORGANIZER:MAILTO:mail@example.com
DTSTAMP:20211117T185728Z
ATTENDEE;CN=Name Lastname;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;
 ROLE=REQ-PARTICIPANT;CUTYPE=UNKNOWN;X-UID=94301368699264:mailto:
 me@there.com
ATTENDEE;CN=name@cloud me. com;RSVP=TRUE;PARTSTAT=ACCEPTED;
 ROLE=REQ-PARTICIPANT;CUTYPE=INDIVIDUAL;X-UID=94301368916912:mailto:
 name@cloud.me.com
CREATED:20211117T185728Z
UID:ff4cbc4d-2201-4e09-b4fd-e6d43e763c21
LAST-MODIFIED:20211117T185728Z
SUMMARY:Test X new 3
STATUS:CONFIRMED
DTSTART;TZID=Europe/Berlin:20211119T070000
DTEND;TZID=Europe/Berlin:20211119T080000
TRANSP:OPAQUE
END:VEVENT
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0000
TZOFFSETTO:+0200
DTSTART:19800406T010000
RDATE:19800406T010000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19800928T030000
RRULE:FREQ=YEARLY;UNTIL=19961027T030000;BYDAY=-1SU;BYMONTH=9
RDATE:19950924T030000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE

END:VCALENDAR


And this is the output of an event without an attendee. This event is shown in Korganizer:

BEGIN:VCALENDAR
PRODID:-//K Desktop Environment//NONSGML libkcal 4.3//EN
VERSION:2.0
X-KDE-ICAL-IMPLEMENTATION-VERSION:1.0
BEGIN:VEVENT
DTSTAMP:20211117T195434Z
CREATED:20211117T195434Z
UID:7860a8de-decf-4bec-b298-7c565757df90
LAST-MODIFIED:20211117T195434Z
SUMMARY:Test X new 4
STATUS:CONFIRMED
DTSTART;TZID=Europe/Berlin:20211119T050000
DTEND;TZID=Europe/Berlin:20211119T060000
TRANSP:OPAQUE
END:VEVENT
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0000
TZOFFSETTO:+0200
DTSTART:19800406T010000
RDATE:19800406T010000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19800928T030000
RRULE:FREQ=YEARLY;UNTIL=19961027T030000;BYDAY=-1SU;BYMONTH=9
RDATE:19950924T030000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE

END:VCALENDAR


An event created in Nextcloud and shown in Korganizer with one attendee looks like this:

BEGIN:VCALENDAR
PRODID:-//K Desktop Environment//NONSGML libkcal 4.3//EN
VERSION:2.0
X-KDE-ICAL-IMPLEMENTATION-VERSION:1.0
BEGIN:VEVENT
ORGANIZER;CN=Name:MAILTO:me@there.com
DTSTAMP:20211117T191318Z
ATTENDEE;CN=Name Lastname;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;
 ROLE=REQ-PARTICIPANT;CUTYPE=INDIVIDUAL;X-UID=93951309397392:mailto:
 me@me.com
CREATED:20211117T191253Z
UID:7658b6c7-c4b0-4757-a537-09364ad00764
SEQUENCE:2
LAST-MODIFIED:20211117T191318Z
SUMMARY:Test NC neu
STATUS:CONFIRMED
DTSTART;TZID=Europe/Berlin:20211119T080000
DTEND;TZID=Europe/Berlin:20211119T083000
TRANSP:OPAQUE
END:VEVENT
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0000
TZOFFSETTO:+0200
DTSTART:19800406T010000
RDATE:19800406T010000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19800928T030000
RRULE:FREQ=YEARLY;UNTIL=19961027T030000;BYDAY=-1SU;BYMONTH=9
RDATE:19950924T030000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE

END:VCALENDAR

Events are synchronized between both smartphones and Nextcloud with DAVx5. 

Maybe this helps for debuggung.
Comment 7 emil.ostwald 2021-11-17 21:18:00 UTC
And another example. Changed the DAVx5 account name to something without an '@'. The organizer email address is filled with this account name. Now there is only the attendee I added to the event and not the organizer again as second attendee:

BEGIN:VCALENDAR
PRODID:-//K Desktop Environment//NONSGML libkcal 4.3//EN
VERSION:2.0
X-KDE-ICAL-IMPLEMENTATION-VERSION:1.0
BEGIN:VEVENT
ORGANIZER:MAILTO:nameCloudServer
DTSTAMP:20211117T202723Z
ATTENDEE;RSVP=TRUE;PARTSTAT=NEEDS-ACTION;ROLE=REQ-PARTICIPANT;
 CUTYPE=INDIVIDUAL;X-UID=93951310843280:mailto:me@me.com
CREATED:20211117T202723Z
UID:1db96c2b-6df8-41b2-b607-8fac529553d3
LAST-MODIFIED:20211117T202723Z
SUMMARY:Test H new 4
STATUS:CONFIRMED
DTSTART;TZID=Europe/Berlin:20211119T100000
DTEND;TZID=Europe/Berlin:20211119T110000
TRANSP:OPAQUE
BEGIN:VALARM
DESCRIPTION:Test H new 4
ACTION:DISPLAY
TRIGGER:-P1D
X-KDE-KCALCORE-ENABLED:TRUE
END:VALARM
END:VEVENT
BEGIN:VTIMEZONE
TZID:Europe/Berlin
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0000
TZOFFSETTO:+0200
DTSTART:19800406T010000
RDATE:19800406T010000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19971026T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19800928T030000
RRULE:FREQ=YEARLY;UNTIL=19961027T030000;BYDAY=-1SU;BYMONTH=9
RDATE:19950924T030000
END:STANDARD
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE

END:VCALENDAR
Comment 8 Helmar Gerloni 2022-03-21 07:16:51 UTC
Created attachment 147643 [details]
ICS files to reproduce KOrganizer bug #418811
Comment 9 Helmar Gerloni 2022-03-21 07:18:03 UTC
Same problem here (KDE on Debian Testing, korganizer 21.08.1, plasma 5.24.3, KDE Frameworks 5.90).

I can reproduce the error with the attached ICS files (replace me@here.net with your mail address configured in KDE).

- example_Error_MeAndSomeoneElse.ics:
ATTENDEE:mailto:me@here.net
ATTENDEE:mailto:someone@else.net

- example_Error_MeOnly.ics:
ATTENDEE:mailto:me@here.net

- example_NoError_MeOnlyAccepted.ics:
ATTENDEE;PARTSTAT=ACCEPTED:mailto:me@here.net

- example_NoError_SomeoneElse.ics:
ATTENDEE:mailto:someone@else.net

- example_NoError_NoAttendee.ics:
(no ATTENDEE entry)

Steps to reproduce:
1. Import example_Error_*.ics into an existing Nextcloud calendar in KOrganizer (by clicking on it in dolphin):
  - Shows up in Akonadiconsole and is synchronized to Nextcloud
  - Does not show up in KOrganizer
  - Shows up on Android (as translucent, not accepted yet)
  - Shows up in Nextcloud Web
2. Confirm event on Android:
  - Gets colored in Android (accepted)
  - Shows up in KOrganizer

=> Korganizer does not show events containing a invitation for the user itself that has not yet been accepted yet by the user (Android/Outlook show such events as translucent/brighter). As soon as the invitation is accepted by the user in another calendar app KOrganizer shows the event.
Comment 10 Tobias Klaus 2022-05-04 19:45:11 UTC
This still happens with kdepim-22.04.0 (gentoo/qt-5.15.3/plasma-5.24.4//kde-framework-5.93)

This is a major blocker for usage of kde-pim with ews, as most of my companies events are not displayed.

Can someone give me a hint, where one could look for the code that is responsible for filtering? As this bug can also be observed when using Kalendar, I suppose it is within akonadi itself?
Comment 11 enboig 2022-11-23 11:34:54 UTC
I confirm it still happens in 5.13.3